diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.ui.js b/web/pgadmin/browser/server_groups/servers/static/js/server.ui.js
index f25986de..c54cd277 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.ui.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.ui.js
@@ -391,7 +391,7 @@ export default class ServerSchema extends BaseUISchema {
       },
       {
         id: 'tunnel_password', label: gettext('Password'), type: 'password',
-        group: gettext('SSH Tunnel'), mode: ['create'],
+        maxlength: null, group: gettext('SSH Tunnel'), mode: ['create'],
         deps: ['use_ssh_tunnel'],
         disabled: function(state) {
           return !state.use_ssh_tunnel;
diff --git a/web/pgadmin/browser/static/js/ConnectServerContent.jsx b/web/pgadmin/browser/static/js/ConnectServerContent.jsx
index 7ddb4d13..46eca9ce 100644
--- a/web/pgadmin/browser/static/js/ConnectServerContent.jsx
+++ b/web/pgadmin/browser/static/js/ConnectServerContent.jsx
@@ -85,7 +85,7 @@ export default function ConnectServerContent({closeModal, data, onOK, setHeight}
                 /* Set only if no tunnel password asked */
                 firstEleRef.current = ele;
               }
-            }} type="password" value={formData['password']} maxLength={null}
+            }} type="password" value={formData['password']} maxlength={null}
             onChange={(e)=>onTextChange(e, 'password')} onKeyDown={(e)=>onKeyDown(e)}/>
           </Box>
           <Box marginTop='12px'>
diff --git a/web/pgadmin/static/js/SchemaView/MappedControl.jsx b/web/pgadmin/static/js/SchemaView/MappedControl.jsx
index 0cfd3aba..7cb390e3 100644
--- a/web/pgadmin/static/js/SchemaView/MappedControl.jsx
+++ b/web/pgadmin/static/js/SchemaView/MappedControl.jsx
@@ -197,7 +197,7 @@ MappedCellControlBase.propTypes = {
 };
 
 const ALLOWED_PROPS_FIELD_COMMON = [
-  'mode', 'value', 'readonly', 'disabled', 'hasError', 'id',
+  'mode', 'value', 'readonly', 'maxlength', 'disabled', 'hasError', 'id',
   'label', 'options', 'optionsLoaded', 'controlProps', 'schema', 'inputRef',
   'visible', 'autoFocus', 'helpMessage', 'className', 'optionsReloadBasis',
   'orientation', 'isvalidate', 'fields', 'radioType', 'hideBrowseButton', 'btnName'
